Package com.emc.documentum.rest.model

# Class Attribute<T>

java.lang.Object
com.emc.documentum.rest.model.Attribute<T>

public class Attribute<T> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Attribute()`
  `Attribute(String name, T value)`
  Constructor
  `Attribute(String name, T value, boolean dataTypeResolved)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Return the attribute name
  `T`
  `getValue()`
  Return the attribute value
  `boolean`
  `isDataTypeResolved()`
  Return whether the data type is resolved in the value or the value is just a raw type
  `boolean`
  `isRepeating()`
  Return whether the value is repeating (type of `List`)
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Attribute

    public Attribute()

  - ### Attribute

    public Attribute(String name, T value)
    Constructor
    Parameters:
      `name` - the attribute name
      `value` - the attribute value

  - ### Attribute

    public Attribute(String name, T value, boolean dataTypeResolved)
    Constructor
    Parameters:
      `name` - the attribute name
      `value` - the attribute value
      `dataTypeResolved` - indicates whether the value type has been resolved

- ## Method Details

  - ### getName

    public String getName()
    Return the attribute name
    Returns:
      the attribute name

  - ### isDataTypeResolved

    public boolean isDataTypeResolved()
    Return whether the data type is resolved in the value or the value is just a raw type
    Returns:
      `true` if the value in the attribute is resolved; `false` if the value is in raw type.

  - ### getValue

    public T getValue()
    Return the attribute value
    Returns:
      the attribute value

  - ### isRepeating

    public boolean isRepeating()
    Return whether the value is repeating (type of `List`)
    Returns:
      `true` if it is repeating; `false` otherwise.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`